from django.db import models


class WikiEntry(models.Model):
    glossaryEntry = models.ForeignKey(
        'glossary.GlossaryEntry', on_delete=models.SET_NULL, null=True)
    wikiTitle = models.CharField(max_length=200)
    wikiText = models.TextField()

    def __str__(self):
        return self.wikiTitle

    class Meta:
        ordering = ['wikiTitle']


class WikiExample(models.Model):
    wikiEntry = models.ForeignKey(
        WikiEntry, on_delete=models.SET_NULL, null=True)
    exampleTitle = models.CharField(max_length=200)
    exampleText = models.TextField()
    exampleResource = models.FileField(blank=True)
    examplePositive = models.BooleanField(default=True)

    def __str__(self):
        return self.exampleTitle

    class Meta:
        ordering = ['-examplePositive', 'exampleTitle']
